#!/bin/sh
##################################################################################
# Stop rtl kernel and remove all rtl modules, including schedulers and projects
#
# Project: Yasa 2
# Author : Jan Blumenthal
# Start  : 2002/02/28
# $Header: /sources/yasa/executives/rtlinux/scripts/rtl_stopkernel.sh,v 1.2 2003/01/23 09:18:30 bj Exp $
##################################################################################
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program (See the included file COPYING);
# if not, write to the Free Software Foundation, Inc.,
# 675 Mass Ave, Cambridge, MA 02139, USA.
#
##################################################################################


##################################################################################
# is rtlinux already stopped ?
#while [ -e /proc/rtlinux/gethrtime ];

while [ -n "`lsmod | cut -b1-23 | grep rtl_ `" ];
do

 #################################################################################
 # remove schedulers and projects
 $YASA_EXECUTIVEDIR/scripts/rtl_stopschedulers.sh


# #################################################################################
# # remove project module "yp_$PROJECTNAME"
# #projectname=`echo blubb`
# projectname=`lsmod | grep yp_ | cut -b1-23 | tr -d ' '`
# if [ -n "$projectname" ] ; then
# 	echo "Removing yasa project \"$projectname\""
#	rmmod -v $projectname
# fi
#
#
# #################################################################################
# # remove all yasa schedulers e.g. "ys_prio"
# #for i in ys_prio ys_llf
# for i in `lsmod | grep ys_ | cut -b1-23 | tr -d ' '`
# do \
# 	echo "Removing yasa scheduler \"$i\""
# 	rmmod -v $i
# done
 

 #################################################################################
 # stop rtlinux kernel
 echo "Stopping RTLinux"
 rtlinux stop
done

echo "RTLinux stopped!"

