//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// YASA-GUI declarations.
//
// Project: Yasa 2
// Author : Jan Blumenthal
// Start  : 2001/11/26
// $Header: /sources/yasa/include/yasagui/yasagui.h,v 1.5 2003/01/24 15:47:09 bj Exp $
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program (See the included file COPYING);
// if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef YASA_GUI_INCLUDE
#define	YASA_GUI_INCLUDE


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#include <yasa/yasa_errors.h>
#include <yasa/yasa_types.h>
#include <yasagui/yasagui_customize.h>


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef INT64
 #ifdef WIN32
  #define INT64							__int64
 #else
  #define INT64							long long
 #endif
#endif
/*
#ifndef YASA_TIME
 typedef INT64							YASA_TIME;
#endif
*/
/*#ifndef YASA_TIME_MIN
 #define YASA_TIME_MIN					0
#endif
*/
#ifndef YASA_TIME_INFINITY
 #ifdef WIN32
  #define YASA_TIME_INFINITY			0x7fffFfffFfffFfff
 #else
  #define YASA_TIME_INFINITY			0x7fffFfffFfffFfffLL
 #endif
#endif


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Definitions for YASAGUI
#define YG_MIN_PRIORITY					0
#define YG_MAX_PRIORITY					256
#define YG_MIN_CPU						0							// 0=not specified -> every cpu, otherwise number of cpu
#define YG_MIN_NUMBER_OF_CPUS			1							// 0=not specified -> every cpu, otherwise number of cpu
#define YG_DEFAULT_THREAD_CPU			1
#define YG_DEFAULT_NUMBER_OF_CPUS		1							// number of cpu used in projects via default
#define YG_MAX_CPU						32
#define YG_MIN_TIMER_TICK				0							// 0=no timer tick
//#define YASA_TIME_INT_MAX				0x7fffffff					// for widgets where only int types are possible


#endif																// ifndef YASA_GUI_INCLUDE
