//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// YASA test project source code
//
// Project:		Yasa 2
// Filename: 	$(YASA_PROJECT)/testproject.c
// Author:	  	Jan Blumenthal
// date:		2002/05/02
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#include <yasa/yasa.h>


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
pthread_mutex_t* yp_getmutex(int id);

/*
#define ID_MUTEX1		1
#define ID_MUTEX2		2
#define ID_MUTEX3		3
*/

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// This is called periodically
// Input:	None
// Output: 	return value of this thread
void* yp_thread1_execute(void **userdata)
{
	int				retvalue=0;
	int				i,j,k=1;
	int				a=0;
	pthread_mutex_t	*mutex1;

	rtl_printf("thread %s is entering loop\n", yasa_id_get_name( & (pthread_self()->id) ) );
	mutex1=yp_getmutex(MUTEXID_MUTEX_1);

	YASA_PERIODIC_START
	{
		if ( a<4 )
		{
			//rtl_printf("thread %d is in loop: %d\n",pthread_self()->id,a );
			a++;
		}

		if ( mutex1 )
			pthread_mutex_lock( mutex1 );

		for ( i=0; i<1000; i++)
		{
			j=i*i+j;
			j+=k*i+54;
			j=j>>4;
			j=k+i+j;
		}
		k++;
		if ( mutex1 )
			pthread_mutex_unlock( mutex1 );

		if ( k==10 )
			break;
	}
	YASA_PERIODIC_END

	return (void*)retvalue;
}



