//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// Platform specific functions
//
// Project: Yasa 2
// Author : Jan Blumenthal
// Start  : 2003/01/22
// $Header: /sources/yasa/yasagui/platforms/platforms.h,v 1.2 2003/01/30 09:29:55 bj Exp $
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program (See the included file COPYING);
// if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef YASAGUI_PLATTFORMS_INCLUDE
#define	YASAGUI_PLATTFORMS_INCLUDE


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Input: path = Ptr to buffer to store the full path
//		 length= size of buffer
//		  argv = given name to main()
// Output:int  = size of name stored in path)
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
int pf_GetStartPath(char *path, unsigned int length, const char * argv);

QString GetStartPath(const char * argv);



//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif																			// ifndef YASAGUI_PLATTFORMS_INCLUDE
