//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// YASA test project source code
//
// Project:		Yasa 2
// Filename: 	$(YASA_PROJECT)/testproject.c
// Author:	  	Jan Blumenthal
// date:		2002/05/02
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#include <yasa/yasa.h>


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
pthread_mutex_t* yp_getmutex(int id);
void compute1(void);


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// This is called periodically
// Input:	None
// Output: 	return value of this thread
void* yp_thread2_execute(void **userdata)
{
	int				retvalue=0;
	int				k=1;
	int				a=0;
	pthread_mutex_t	*mutex2;

	rtl_printf("thread %s is entering loop\n", yasa_id_get_name( & (pthread_self()->id) ) );
	mutex2=yp_getmutex(MUTEXID_MUTEX_2);

	YASA_PERIODIC_START
	{
		if ( a<4 )
		{
			//rtl_printf("thread %d is in loop: %d\n",pthread_self()->id,a );
			a++;
		}
		compute1();

		if ( mutex2 )
			pthread_mutex_lock( mutex2 );

		compute1();
		compute1();
		if ( mutex2 )
			pthread_mutex_unlock( mutex2 );
		compute1();

		k++;
		if ( k==10 )
			break;
	}
	YASA_PERIODIC_END

	return (void*)retvalue;
}



