////////////////////////////////////////////////////////////////////////////////////
// Name: rtprinter.c
////////////////////////////////////////////////////////////////////////////////////
#include <rtl.h>
#include <time.h>
#include <pthread.h>
#include <asm/io.h>




////////////////////////////////////////////////////////////////////////////////////
// some definitions
pthread_mutex_t*	yp_getmutex(int id);
void* 				rttask(void *parameter);
void 				compute1(void);
void* 				task1(void);
void* 				task2(void);
#define				LPT_PORT				0x378


////////////////////////////////////////////////////////////////////////////////////
void compute1(void)
{
	int i,j=0;
	for ( i=0; i<5000000; i++)
	{
		j=i*i+j+1;
		j+=5*i+54;
		j=j>>4;
		j=i+j;
	}
}


////////////////////////////////////////////////////////////////////////////////////
// Input: *parameter=
void* rttask(void *parameter)
{
	char			t;
	pthread_mutex_t	*mutex1;


	t=*(char*)parameter;
	mutex1=yp_getmutex(MUTEXID_PARALLELPORT);

	YASA_PERIODIC_START
	{
		if ( mutex1 )
			pthread_mutex_lock( mutex1 );
		outb(t, LPT_PORT);							// write to LPT_PORT
		compute1();
		if ( mutex1 )
			pthread_mutex_unlock( mutex1 );
	}
	YASA_PERIODIC_END

	return 0;
}

////////////////////////////////////////////////////////////////////////////////////
void* task1(void)
{
	char	state;
	state=1;
	return rttask( &state );
}

////////////////////////////////////////////////////////////////////////////////////
void* task2(void)
{
	char	state;
	state=2;
	return rttask( &state );
}

